/*-----------------------------------------------------------------------

File  : che_heu_auto_mode.h

Author: Stephan Schulz

Contents
 
  Functions implementing a simple auto-mode for E.

  Copyright 1998, 1999 by the author.
  This code is released under the GNU General Public Licence.
  See the file COPYING in the main CLIB directory for details.
  Run "eprover -h" for contact information.

Changes

<1> Tue Dec  8 17:07:03 MET 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_HEU_AUTO_MODE

#define CHE_HEU_AUTO_MODE

#include <che_proofcontrol.h>
#include <che_clausesetfeatures.h>


/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


HCB_p HCBAutoModeCreate(HCBARGUMENTS);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





