/*-----------------------------------------------------------------------

File  : che_heu_refinedweight.h

Author: Stephan Schulz

Contents
 
  Functions describing the Refinedweight heuristic, using the
  refined weight of a clause.

Changes

<1> Wed Jun 17 01:02:11 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_HEU_REFINED_WEIGHT

#define CHE_HEU_REFINED_WEIGHT


#include <che_proofcontrol.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


HCB_p HCBRefinedWeightCreate(HCBARGUMENTS);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





