#!/usr/local/dist/bin/gawk -f

# Usage: eleminate_protocolls.awk <input_file>
#
# Copyright 1999 Stephan Schulz, schulz@informatik.tu-muenchen.de
#
#   Read the output of find_optimal.awk and eleminate all protocol
#   lines not matching one of the hard-coded patterns.
#

BEGIN{
   wanted["Z"] = 1;
   wanted["N08"] = 1;
   wanted["V"] = 1;
   wanted["N05"] = 1;
   wanted["R"] = 1;
   wanted["N01"] = 1;
#   wanted["S"] = 1;
#   wanted["X"] = 1;
}

/^  protokoll/{
   praekey = substr($0, 18);
   start = match(praekey, /[0-9A-Z].*:/);
   if(start)
   {
      key = substr(praekey, RSTART, RLENGTH-1);
	 if(wanted[key])
	 {
	    print;
	 }
   }
   next;
}

{
   print;
}
